package com.jiuzhekan.cbkj.mapper.sysMapper;

import com.jiuzhekan.cbkj.beans.sysBeans.AdminMenu;
import com.jiuzhekan.cbkj.beans.sysBeans.Menu;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public interface AdminMenuMapper {

    int deleteByPrimaryKey(Integer mid);

    int insert(AdminMenu record);

    AdminMenu selectByPrimaryKey(Integer mid);

    int updateByPrimaryKey(AdminMenu record);

    List<AdminMenu> getAllMenu();

    List<AdminMenu> getMenuByPID(Map<String, Object> params);

    List<Map<String, Object>> selectAllMenu();

    List<Map<String, Object>> getMenuByRid(String id);

    long deleteRmByRid(String rid);

    long insertListM(List<Map<String, Object>> resultList);

    List<Map<String, Object>> getPageDatas(AdminMenu adminMenu);

    List<Map<String, Object>> selectAllMenuByM();

    long updateEnabled(Map<String, Object> params);

    long deleteRMbyMid(String[] split);

    long deleteBylis(String[] split);

    List<Map<String, Object>> getBtnMenuLisByPath(Map<String, Object> params);

    List<AdminMenu> getMenuObjByMID(String id);

    List<AdminMenu> getMenuObjByRID(String id);

    List<AdminMenu> getAllMenuList();

    int updateSortNumberByList(List<AdminMenu> list);
}